Groovy Documentation

## org.codehaus.groovy.util
[Java] Class ManagedConcurrentMap.Segment

    java.lang.Object
      AbstractConcurrentMap.Segment
          org.codehaus.groovy.util.ManagedConcurrentMap.Segment

    public static class ManagedConcurrentMap.Segment
    extends Segment

Field Summary
`protected ReferenceBundle` | `bundle`

Constructor Summary
`ManagedConcurrentMap.Segment(ReferenceBundle bundle, int cap)`

Method Summary
`protected Entry` | `createEntry(java.lang.Object key, int hash, java.lang.Object value)`

Field Detail

### bundle

    protected final ReferenceBundle bundle

Constructor Detail

### ManagedConcurrentMap.Segment

    public ManagedConcurrentMap.Segment(ReferenceBundle bundle, int cap)

Method Detail

### createEntry

    protected Entry createEntry(java.lang.Object key, int hash, java.lang.Object value)

Groovy Documentation